Bug 1605620

Summary: python-cairocffi: FTBFS in Fedora rawhide
Product: [Fedora] Fedora Reporter: Mohan Boddu <mboddu>
Component: python-cairocffiAssignee: Eric Smith <spacewar>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 29CC: spacewar
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: python-cairocffi-0.7.2-15.fc29 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-11-15 03:13:48 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1585626, 1602938    
Attachments:
Description Flags
build.log
none
root.log
none
state.log none

Description Mohan Boddu 2018-07-20 16:16:38 UTC
python-cairocffi failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28220717


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix python-cairocffi at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
python-cairocffi will be orphaned. Before branching of Fedora 30,
python-cairocffi will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-20 16:16:44 UTC
Created attachment 1466033 [details]
build.log

Comment 2 Mohan Boddu 2018-07-20 16:16:47 UTC
Created attachment 1466035 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-20 16:16:53 UTC
Created attachment 1466036 [details]
state.log

Comment 4 Jan Kurik 2018-08-14 09:12:57 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 5 Fedora Update System 2018-11-05 11:33:29 UTC
python-cairocffi-0.7.2-15.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e0b0fbc3f0

Comment 6 Fedora Update System 2018-11-06 22:00:47 UTC
python-cairocffi-0.7.2-15.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e0b0fbc3f0

Comment 7 Fedora Update System 2018-11-15 03:13:48 UTC
python-cairocffi-0.7.2-15.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.